# Class FootNoteReferenceRunAttributes

#### Hierarchy

- XmlAttributeComponent<{ id: number }>
  - FootNoteReferenceRunAttributes

- Defined in src/file/footnotes/footnote/run/reference-run.ts:4

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new FootNoteReferenceRunAttributes(properties: { id: number }): FootNoteReferenceRunAttributes

- #### Parameters

  - ##### properties: { id: number }

    - ##### `Readonly` id: number

  #### Returns FootNoteReferenceRunAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in src/file/xml-components/default-attributes.ts:11

## Methods

### prepForXml

- prepForXml(_: IContext): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in src/file/xml-components/default-attributes.ts:16

Generated using TypeDoc